MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026389Open CASCADE[OCCT] OCCT:Configurationpublic2015-07-02 11:052016-04-20 15:48
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version64 bit
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026389: The Visual Studio solution of OCCT generated by CMake should have all build configurations
DescriptionCMake configuration procedure offers an user to choose what a build configuration will be used in further OCCT vs solution.

The choice should be offered by the Visual Studio solution but not CMake
Steps To Reproducenot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0025114closedabv CMake-based build tools for OCCT 7.0 

-  Notes
(0042810)
git (administrator)
2015-07-07 18:06

Branch CR26389 has been created by ibs.

SHA-1: cf75a96219af52156f2d2eb029784019f2155801


Detailed log of new commits:

Author: ibs
Date: Tue Jul 7 15:17:40 2015 +0300

    [CMake] the choice of OCCT build type moved to generated projects
(0042812)
git (administrator)
2015-07-07 18:40

Branch CR26389 has been updated by ibs.

SHA-1: f83e14da6069f9c4f6900023b449cab48f948d1e


Detailed log of new commits:

Author: ibs
Date: Tue Jul 7 18:39:01 2015 +0300

    draw.bat receive 3 arguments: compiler, bitness and build type

Author: ibs
Date: Tue Jul 7 18:37:10 2015 +0300

    [CMake] debug library search removed from 3rdparty search mechanism

(0043253)
abv (manager)
2015-07-22 07:22

Integrated to master
(0043254)
git (administrator)
2015-07-22 07:23

Branch CR26389 has been deleted by abv.

SHA-1: f83e14da6069f9c4f6900023b449cab48f948d1e

- Related Changesets
occt: master fa0cbe55
Timestamp: 2015-07-08 12:33:25
Author: abv
Committer: abv
Details ] Diff ]
0026389: The Visual Studio solution of OCCT generated by CMake should have all build configurations

the choice of OCCT build type moved to generated projects
debug library search removed from 3rdparty search mechanism
draw.bat receive 3 arguments: compiler, bitness and build type
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/BuildToolkit.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/cmake/vtk.cmake Diff ] File ]
mod - adm/templates/custom.bat.in Diff ] File ]
mod - adm/templates/custom.sh.in Diff ] File ]
mod - adm/templates/draw.bat Diff ] File ]
mod - adm/templates/DRAWEXE.vcxproj.user.in Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.build.bat.in Diff ] File ]
mod - adm/templates/env.build.sh.in Diff ] File ]
mod - adm/templates/env.sh.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-02 11:05 ibs New Issue
2015-07-02 11:05 ibs Assigned To => ibs
2015-07-02 11:05 ibs Relationship added child of 0025114
2015-07-07 18:06 git Note Added: 0042810
2015-07-07 18:40 git Note Added: 0042812
2015-07-07 21:37 kgv Summary The Visual Studion solution of OCCT generated by CMake should have all the build configurations => The Visual Studio solution of OCCT generated by CMake should have all build configurations
2015-07-08 11:38 ibs Status new => resolved
2015-07-08 11:38 ibs Steps to Reproduce Updated View Revisions
2015-07-22 07:22 abv Note Added: 0043253
2015-07-22 07:22 abv Assigned To ibs => bugmaster
2015-07-22 07:22 abv Status resolved => reviewed
2015-07-22 07:23 git Note Added: 0043254
2015-07-23 11:55 abv Changeset attached => occt master fa0cbe55
2015-07-23 11:55 abv Assigned To bugmaster => abv
2015-07-23 11:55 abv Status reviewed => verified
2015-07-23 11:55 abv Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker